EH {ade4} | R Documentation

## Amount of Evolutionary History

### Description

This function is deprecated. See the function `EH` in the package `adiv`.

computes the sum of branch lengths on an ultrametric phylogenetic tree.

### Usage

    EH(phyl, select = NULL)

### Arguments

`phyl` | an object of class phylog
`select` | a vector containing the numbers of the leaves (species) which must be considered in the computation of the amount of Evolutionary History. This parameter allows the calculation of the amount of Evolutionary History for a subset of species.

### Value

returns a real value.

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Nee, S. and May, R.M. (1997) Extinction and the loss of evolutionary history. Science, 278, 692–694.

### Examples

    data(carni70)
    carni70.phy <- newick2phylog(carni70$tre)
    EH(carni70.phy)
    EH(carni70.phy, select = 1:15) # Felidae

[Package ade4 version 1.7-13 Index]